<script>
    import Button from "../components/Button.svelte";
    import Input from "../components/Input.svelte";
    import FormName from "../components/FormName.svelte";
    import {userbaseStore, promiseStore} from '../stores'

    let username

    function forgotPassword() {

        $promiseStore = $userbaseStore.forgotPassword({ username })
        
    }
</script>

    <form on:submit|preventDefault={forgotPassword} class="lg:w-2/6 md:w-1/2 bg-gray-100 rounded-lg p-8 flex flex-col w-full mt-10 md:mt-0">
        <FormName formName="Sign Up" href="/#/signin"> Sign In</FormName>
        <Input label="Username" bind:value={username} type="text" required/>
        <Button>Send Email</Button>
        
        <p class="text-xs text-gray-500 mt-3">Literally you probably haven't heard of them jean shorts.</p>
    </form>
